---

- name: Compute hosted domains for Postfix
  set_fact:
    additional_domains: "{{ additional_domains | default({}) | combine({item: 'hash:/etc/postfix/' + item + '.aliases'}) }}"
  with_list: "{{ tenant.value }}"

- name: Compute lists of maps to regenerate for Postfix
  set_fact:
    regenerate_maps: "{{ regenerate_maps | default(['/etc/postfix/tls_policy_maps']) | union(additional_domains.values()|list) }}"

